gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Methods for drawing widget parts.
- Constructor
  2.12.0.0
  Public constructor
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` A A (TODO: explain) A A A , X coordinate of the upper left corner A , Y coordinate of the upper left corner A , width of the area A , height of the area Sets the default background. TODO: explain this, as the underlying GTK+ isn't very well-commented either
- Method
  2.12.0.0
  Gtk.Style `` , the window to attach the style to Attaches a style to a window; this process allocates the colors and creates the GCs (graphics components) for the style - it specializes it to a particular visual and colormap. The process may involve the creation of a new style if the style has already been attached to a window with a different style and colormap. Either , or a newly-created . If the style is newly created, the style parameter will be dereferenced, and the new style will have a reference count belonging to the caller.
- Method
  2.12.0.0
  Gdk.Color `` A , the state being considered Sets the background of to the background color or pixmap specified by style for the state. A color to be used for the background.
- Method
  2.12.0.0
  Gdk.GC `` a Gets the graphics context for the background of . a , the graphics context
- Property
  2.12.0.0
  Gdk.GC[] Gets the graphics context objects for the background. A
- Property
  2.12.0.0
  Gdk.Color[] The background colors. A
- Method
  2.12.0.0
  Gdk.Color `` a Returns the base color for the given state. a
- Property
  2.12.0.0
  Gdk.Color[] The base color set. a
- Method
  2.12.0.0
  Gdk.GC `` a , the state of the widget to get the GC for Returns the base graphics context for the widget. a
- Method
  2.12.0.0
  Gdk.Pixmap `` a Get the background pixmap for a given state. a
- Property
  2.12.0.0
  Gdk.Pixmap[] Gets an array of background pixmaps. a
- Property
  2.12.0.0
  Gdk.Color Black. A
- Property
  2.12.0.0
  Gdk.GC Gets a white graphics context. A
- Method
  2.12.0.0
  Gtk.Style Copy this style object to a new style object. A , a duplicate of this style.
- Method
  2.12.0.0
  Gdk.Color `` a Gets the dark color for a given state. a
- Property
  2.12.0.0
  Gdk.Color[] Dark colors indexed by state. a
- Method
  2.12.0.0
  Gdk.GC `` a , the state of the widget to get the GC for Returns a graphics context for dark-colored drawing a
- Method
  2.12.0.0
  System.Void Detaches this style from the window it's attached to.
- Property
  2.12.0.0
  System.Obsolete
  Gdk.Font Deprecated. a The to use for a given style. This is deprecated and should not be used in new code. New code should use instead.
- Property
  2.12.0.0
  Pango.FontDescription The value for the style. a
- Property
  2.12.0.0
  Pango.FontDescription The font description used for a widget. a
- Method
  2.12.0.0
  Gdk.Color `` A , the state being considered Gets the foreground color for a particular state A
- Method
  2.12.0.0
  Gdk.GC `` a Gets the graphics context for the foreground of . a , the graphics context
- Property
  2.12.0.0
  Gdk.GC[] Gets the graphics context objects for the foreground. A
- Property
  2.12.0.0
  Gdk.Color[] The foreground colors A
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  Gdk.Color `` a Gets the light color for a given state. a
- Property
  2.12.0.0
  Gdk.Color[] Light colors indexed by state. a
- Method
  2.12.0.0
  Gdk.GC `` a , the state of the widget to get the GC for Returns a graphics context for light-colored drawing a
- Method
  2.12.0.0
  System.Boolean `` `` name of color to lookup. location to put color. Looks up a color by name.. if , is filled in.
- Method
  2.12.0.0
  Gtk.IconSet `` A Gets the icon set for the given . A
- Method
  2.12.0.0
  Gdk.Color `` a Gets the mid color for a given state. a
- Property
  2.12.0.0
  Gdk.Color[] Mid colors indexed by state. a
- Method
  2.12.0.0
  Gdk.GC `` a , the state of the widget to get the GC for Returns a graphics context for medium-colored drawing a
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRealize", Type=typeof(Gtk.Style))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideUnrealize", Type=typeof(Gtk.Style))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a a a Draw an arrow at (, ) using the given parameters.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a Draws a box on the screen with the given parameters.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a a a a Draws a gap around a box using the given parameters.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a Draws a check button indicator in the given rectangle on with the given parameters.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a Draws a diamond in the given rectangle on using the given parameters.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` a a a a a a a a a Paints an expander using the style specified.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a a Draws an extension for the given widget in the given style.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a Draws a flat box on with the given parameters.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a Draws a focus indicator around the given rectangle on using the given style.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a a Draw a handle graphic for the given widget using the given parameters.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` a a a a a a a a a Draws a horizontal line from (, ) to (, ) in using the given style and state.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a Draws a layout on the screen using the given parameters. Use this routine to paint a on the screen. This method is convenient mechanism to draw the text on the screen because it contains a clipping rectangle.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a Draws a radio button indicator in the given rectangle on with the given parameters.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` a a a a a a a a a Paint a polygon.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a Draws a resize grip in the given rectangle on using the given parameters.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a Draws a shadow around the given rectangle in using the given style and state and shadow type.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a a a a Draws a shadow gap around the given widget using the given parameters.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a a Draws a slider widget with the given parameters.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a a Draws an option menu tab (i.e. the up and down pointing arrows) in the given rectangle on using the given parameters.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` a a a a a a a a a Draws a vertical line from (, ) to (, ) in using the given style and state.
- Event
  2.12.0.0
  GLib.Signal("realize")
  System.EventHandler Event triggered when the style has been initialized for a particular colormap and depth. Connecting to this signal is probably seldom useful since most of the time applications and widgets only deal with styles that have been already realized.
- Method
  2.12.0.0
  System.Obsolete
  Gtk.Style Deprecated. Do not use. a
- Method
  2.12.0.0
  Gdk.Pixbuf `` `` `` `` `` `` A A A A A A Renders the icon specified by at the given according to the given parameters and returns the result in a pixbuf. A TODO: needs an example.
- Method
  2.12.0.0
  System.Void `` `` A A Set the background of to the color or pixmap specified by this style for .
- Method
  2.12.0.0
  System.Void `` `` a , the state of the widget to set the style for a Sets the graphics context for the background.
- Method
  2.12.0.0
  System.Void `` `` a , the state of the widget to set the GC for a Sets the graphics context for the background.
- Method
  2.12.0.0
  System.Void `` `` a a Sets the background pixmap for a given state.
- Method
  2.12.0.0
  System.Void `` `` a , the state of the widget to set the GC for a Set the graphics context for dark-colored drawing
- Method
  2.12.0.0
  System.Void `` `` a , the state of the widget to set the style for a Sets the graphics context for the foreground.
- Method
  2.12.0.0
  System.Void `` `` a , the state of the widget to set the GC for a Set the graphics context for light-colored drawing
- Method
  2.12.0.0
  System.Void `` `` a , the state of the widget to set the GC for a Set the graphics context for medium-colored drawing
- Method
  2.12.0.0
  System.Void `` `` a , the state of the widget to set the GC for a Set the graphics context for anti-aliased text.
- Method
  2.12.0.0
  System.Void `` `` a , the state of the widget to set the GC for a Sets the graphics context for text.
- Method
  2.12.0.0
  Gdk.Color `` a Returns the color for text in the given state. a
- Method
  2.12.0.0
  Gdk.GC `` a , the state of the widget to get the GC for Returns the graphics context for anti-aliased text. a
- Property
  2.12.0.0
  Gdk.Color[] The colors to use for text. a
- Method
  2.12.0.0
  Gdk.GC `` a , the state of the widget to get the GC for Returns the graphics context for the widget's text. a
- Event
  2.12.0.0
  GLib.Signal("unrealize")
  System.EventHandler Event raised when the aspects of the style specific to a particular colormap and depth are being cleaned up. A connection to this signal can be useful if a widget wants to cache objects like a as object data on . This signal provides a convenient place to free such cached objects.
- Method
  2.12.0.0
  System.Obsolete
  System.Void Deprecated. Do not use.
- Property
  2.12.0.0
  Gdk.Color White. A
- Property
  2.12.0.0
  Gdk.GC Gets a black graphics context. A
- Property
  2.12.0.0
  System.Int32 The "xthickness" value of the style. a This value is used for various horizontal padding values in Gtk.
- Property
  2.12.0.0
  System.Int32 The X thickness, which is used for horizontal padding. An integer. (FIXME: xthickness and ythickness could be better documented.)
- Property
  2.12.0.0
  System.Int32 The "ythickness" value of the style. a This value is used for various vertical padding values in Gtk.
- Property
  2.12.0.0
  System.Int32 The Y thickness, which is used for vertical padding. A